curl --request GET \
--url https://api.sandbox.finsei.com/v2/payment/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v2/payment/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v2/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/payment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/payment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v2/payment/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/payment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"type": "debit",
"isFee": true,
"fee": {
"amount": 123,
"currencyId": "<string>"
},
"amount": 123,
"total": 123,
"counterparty": {
"name": "<string>",
"accountHolderName": "<string>",
"bic": "<string>",
"iban": "<string>"
},
"beneficiaryId": 123,
"targetWalletUuid": "<string>",
"parentPaymentId": "<string>",
"walletId": 123,
"walletUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "CONVERT",
"entity": "PAYMENT",
"currencyId": "<string>",
"currencyExchangeId": 123,
"currencyExchangeUuid": "<string>",
"reference": "<string>",
"transactionAmount": 123,
"transactionCurrencyId": "<string>",
"transactionExchangeRate": "<string>",
"cardMaskedNumber": "<string>",
"retrievalReferenceNumber": "<string>",
"rejectReason": "<string>",
"purposeCode": {
"code": "<string>",
"purpose": "<string>"
},
"operationType": "MAIN",
"createdAtUnix": 123,
"updatedAtUnix": 123,
"completedAtUnix": 123,
"createdAt": 123,
"updatedAt": 123,
"completedAt": 123,
"version": 123,
"permissions": {
"canCancel": true,
"canSign": true,
"canDelete": true,
"canDownloadConfirmation": true
},
"currency": {
"id": "<string>",
"name": "<string>"
},
"currencyExchange": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "NEW",
"debitCurrencyId": "<string>",
"creditCurrencyId": "<string>",
"debitAmount": 123,
"creditAmount": 123,
"fee": 123,
"total": 123,
"rate": 123,
"createdAt": 123,
"createdAtMs": 123,
"updatedAtMs": 123,
"completedAt": 123,
"version": 123
},
"merchant": {
"id": 123,
"name": "<string>",
"externalId": "<string>",
"categoryCode": "<string>",
"categoryName": "<string>",
"groupId": "<string>",
"groupName": "<string>",
"address": "<string>",
"url": "<string>",
"domain": "<string>",
"phone": "<string>",
"iconUrl": "<string>"
},
"card": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maskedNumber": "<string>"
},
"cardholder": {
"id": 123,
"name": "<string>",
"channel": "VISA",
"cardNumber": "<string>"
},
"recipientCardholder": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"channel": "VISA",
"maskedCardNumber": "<string>"
},
"files": [
{
"name": "<string>",
"type": "invoice",
"url": "<string>",
"originalName": "<string>"
}
]
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Not Found",
"message": "Page not found.",
"code": 0,
"status": 404,
"type": "yii\\web\\NotFoundHttpException"
}GET /v2/payment/{id}
curl --request GET \
--url https://api.sandbox.finsei.com/v2/payment/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v2/payment/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v2/payment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/payment/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/payment/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v2/payment/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/payment/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"type": "debit",
"isFee": true,
"fee": {
"amount": 123,
"currencyId": "<string>"
},
"amount": 123,
"total": 123,
"counterparty": {
"name": "<string>",
"accountHolderName": "<string>",
"bic": "<string>",
"iban": "<string>"
},
"beneficiaryId": 123,
"targetWalletUuid": "<string>",
"parentPaymentId": "<string>",
"walletId": 123,
"walletUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "CONVERT",
"entity": "PAYMENT",
"currencyId": "<string>",
"currencyExchangeId": 123,
"currencyExchangeUuid": "<string>",
"reference": "<string>",
"transactionAmount": 123,
"transactionCurrencyId": "<string>",
"transactionExchangeRate": "<string>",
"cardMaskedNumber": "<string>",
"retrievalReferenceNumber": "<string>",
"rejectReason": "<string>",
"purposeCode": {
"code": "<string>",
"purpose": "<string>"
},
"operationType": "MAIN",
"createdAtUnix": 123,
"updatedAtUnix": 123,
"completedAtUnix": 123,
"createdAt": 123,
"updatedAt": 123,
"completedAt": 123,
"version": 123,
"permissions": {
"canCancel": true,
"canSign": true,
"canDelete": true,
"canDownloadConfirmation": true
},
"currency": {
"id": "<string>",
"name": "<string>"
},
"currencyExchange": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "NEW",
"debitCurrencyId": "<string>",
"creditCurrencyId": "<string>",
"debitAmount": 123,
"creditAmount": 123,
"fee": 123,
"total": 123,
"rate": 123,
"createdAt": 123,
"createdAtMs": 123,
"updatedAtMs": 123,
"completedAt": 123,
"version": 123
},
"merchant": {
"id": 123,
"name": "<string>",
"externalId": "<string>",
"categoryCode": "<string>",
"categoryName": "<string>",
"groupId": "<string>",
"groupName": "<string>",
"address": "<string>",
"url": "<string>",
"domain": "<string>",
"phone": "<string>",
"iconUrl": "<string>"
},
"card": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maskedNumber": "<string>"
},
"cardholder": {
"id": 123,
"name": "<string>",
"channel": "VISA",
"cardNumber": "<string>"
},
"recipientCardholder": {
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"channel": "VISA",
"maskedCardNumber": "<string>"
},
"files": [
{
"name": "<string>",
"type": "invoice",
"url": "<string>",
"originalName": "<string>"
}
]
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Not Found",
"message": "Page not found.",
"code": 0,
"status": 404,
"type": "yii\\web\\NotFoundHttpException"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment ID
Response
Payment details
new, process, completed, rejected, canceled, compliance, draft debit, credit Indicates whether the payment is a fee payment
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Target wallet UUID for own-wallet transfers and currency exchanges
CONVERT, RETURN, CARD, ACCOUNT, CREDIT, DEBIT PAYMENT, CONVERT, CARD 33Use expanded card.maskedNumber instead
Show child attributes
Show child attributes
MAIN, RETURN, CURRENCY_EXCHANGE, REPLENISHMENT_FROM_CARD, CARD_CURRENCY_EXCHANGE_RATE_DIFFERENCE, ACCOUNT_OPENING_FEE, ACCOUNT_MAINTENANCE_FEE, ACCOUNT_BALANCE_FEE, SWIFT_ISSUING_FEE, SWIFT_FEE, SEPA_FEE, CHAPS_FEE, FASTER_FEE, FEE_RETURN, ACCOUNT_CLOSURE_FEE, OTHER_FEE, CURRENCY_EXCHANGE_FEE, REFERENCE_LETTER_FEE, AUDIT_LETTER_FEE, ADDITIONAL_FEE, CANCELLATION_INVESTIGATION_FEE, REPLENISHMENT_FROM_CARD_FEE, SAME_COMPANY_FEE, SAME_PROVIDER_FEE, CARD_ISSUE_FEE, CARD_DELIVERY_FEE, CARD_ATM_CASH_WITHDRAWAL_FEE, CARD_SMS_FEE, CARD_ATM_BALANCE_ENQUIRY_FEE, CARD_CURRENCY_EXCHANGE_FEE, CARD_MAINTENANCE_FEE, CRYPTO_PAYMENT_FEE, POS_PURCHASE, ATM_WITHDRAWAL, AUTOMATED_FUEL_DISPENSER, CREDIT_VOUCHER_AND_MERCHANDISE_RETURN, MOTO_PURCHASE, MANUAL_CASH_PURCHASE, PURCHASE_WITH_CASHBACK, QUASI_CASH_PURCHASE, RECURRING_PAYMENT, ACCOUNT_VERIFICATION, STATUS_CHECK, UNATTENDED_CARDHOLDER_ACTIVATED_TERMINAL, E_COMMERCE_PURCHASE, PAY_WAVE_HIGH_VALUE_PURCHASE, PAY_WAVE_LOW_VALUE_PURCHASE, CARD_TO_CARD_PAYMENT, UNKNOWN Creation time in Unix seconds
Last update time in Unix seconds
Completion time in Unix seconds
Creation time in milliseconds
Last update time in milliseconds
Completion time in milliseconds
Show child attributes
Show child attributes
Returned when expand contains currency
Show child attributes
Show child attributes
Returned when expand contains currencyExchange
Show child attributes
Show child attributes
Returned when expand contains merchant
Show child attributes
Show child attributes
Returned when expand contains card
Show child attributes
Show child attributes
Returned when expand contains cardholder
Show child attributes
Show child attributes
Recipient cardholder data
Show child attributes
Show child attributes
Returned when expand contains files
Show child attributes
Show child attributes